using Newtonsoft.Json;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace inutralia.Models
{
    [JsonObject(MemberSerialization.OptIn)]
    [DataPath("shoppingList")]
    public class ShoppingList : ObservableEntityData
    {
    
        [JsonProperty("text", Required = Required.Always)]
        public string  Text { get; set; }

        [JsonProperty("select", Required = Required.Always)]
        public bool Select { get; set; }

        [JsonProperty("fromMenus", Required = Required.Always)]
        public bool FromMenus { get; set; }
    }
}
